For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportPlayground
DocumentationAPI ReferenceRelease Notes
DocumentationAPI ReferenceRelease Notes
  • SDKs
    • Client SDKs
    • Node.js
    • Python
  • Autonomous API Reference
    • POSTBrowse
    • POSTRetrieve
  • Step API Reference
    • POSTCreate Session
    • STREAMStep Session
    • DELClose Session
    • GETScreenshot
    • GETList Sessions
LogoLogo
SupportPlayground
Step API Reference

Step Session

POST
https://api.multion.ai/v1/web/session/:session_id
POST
/v1/web/session/:session_id
$curl -X POST https://api.multion.ai/v1/web/session/session_id \
> -H "X_MULTION_API_KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "cmd": "cmd",
> "stream": false
>}'
1{
2 "status": "status",
3 "message": "message",
4 "session_id": "session_id",
5 "url": "url",
6 "screenshot": "screenshot",
7 "metadata": {
8 "temperature": 1.1
9 }
10}
Allows for browsing the web using detailed natural language instructions in a step mode for a session with a given session ID
Was this page helpful?
Previous

Step Session

Next
Built with

Authentication

X_MULTION_API_KEYstring
API Key authentication via header

Path parameters

session_idstringRequired

Request

This endpoint expects an object.
cmdstringRequiredDefaults to
A specific natural language instruction for the next step.
streamfalseRequired

Boolean flag to stream results back to the client (Default: False)

urlstringOptional
The URL to create or continue session from.
browser_paramsobjectOptional
Object containing height and width for the browser screen size.
temperaturedoubleOptional
The temperature of model
agent_idstringOptional
The agent id to use for the session.
modeenumOptional
The mode you would like to use for the session. 'fast' or 'standard'
Allowed values:
include_screenshotbooleanOptional
optional_paramsmap from strings to anyOptional
Additional optional parameters for the session.

Response

This endpoint returns an object.
statusstring

The final status of the browsing session. One of [“CONTINUE”, “ASK_USER”, “DONE”]

messagestring
A message providing more details about the session status.
session_idstring
The unique identifier for the session.
urlstring
The URL associated with the session.
screenshotstring
image url of the screenshot taken during the session.
metadataobject
Additional metadata for the step session.

Errors

422
Unprocessable Entity